Debian Bug report logs - #233276
dialog: support scrolling text in --msgbox

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Julian Gilbey <jdg@debian.org>

Date: Tue, 17 Feb 2004 20:18:02 UTC

Severity: wishlist

Found in version 0.9b-20031207-1

Fixed in version dialog/0.9b-20040606-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#233276; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Debian bug reports <submit@bugs.debian.org>
Subject: dialog: support scrolling text in --msgbox
Date: Tue, 17 Feb 2004 20:04:42 +0000
Package: dialog
Version: 0.9b-20031207-1
Severity: wishlist

It would be really nice if --msgbox allowed for vertical scrolling
where there are more lines of text than can be displayed, in the same
way as --textbox.  Maybe this possibility could be controlled by an
option for compatibility purposes?

   Julian

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

        Julian Gilbey, website: http://www.polya.uklinux.net/
   Debian GNU/Linux Developer, see: http://people.debian.org/~jdg/
     Visit http://www.thehungersite.com/ to help feed the hungry



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#233276; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 233276@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julian Gilbey <jdg@debian.org>, 233276@bugs.debian.org
Subject: Re: Bug#233276: dialog: support scrolling text in --msgbox
Date: Tue, 17 Feb 2004 15:29:37 -0500 (EST)
On Tue, 17 Feb 2004, Julian Gilbey wrote:

> Package: dialog
> Version: 0.9b-20031207-1
> Severity: wishlist
>
> It would be really nice if --msgbox allowed for vertical scrolling
> where there are more lines of text than can be displayed, in the same
> way as --textbox.  Maybe this possibility could be controlled by an
> option for compatibility purposes?

perhaps - at first glance the description of msgbox and textbox looks the
same.  But msgbox also wraps its content to fit within the left/right
margins.  I suppose having scrollbars (and consequently no real limit on
the number of lines) would be nice.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#233276; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #15 received at 233276@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 233276@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=233276
Date: Sun, 6 Jun 2004 19:10:28 -0400
>                       Debian Bug report logs - #233276
>                  dialog: support scrolling text in --msgbox
I thought of a (relatively) simple way to implement this, and added it to
the newest version.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julian Gilbey <jdg@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 233276-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 233276-close@bugs.debian.org
Subject: Bug#233276: fixed in dialog 0.9b-20040606-1
Date: Mon, 07 Jun 2004 14:02:03 -0400
Source: dialog
Source-Version: 0.9b-20040606-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20040606-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20040606-1.diff.gz
dialog_0.9b-20040606-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20040606-1.dsc
dialog_0.9b-20040606-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20040606-1_i386.deb
dialog_0.9b-20040606.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20040606.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 233276@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 Jun 2004 19:33:06 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20040606-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 233276 251787 251937
Changes: 
 dialog (0.9b-20040606-1) unstable; urgency=low
 .
   * New upstream release.
   - Added Catalan .po file (Closes: #251787).
   - Improved documentation about wrapping (Closes: #251937).
   - Modified msgbox to allow it to scroll vertically (Closes: #233276).
Files: 
 9a566d57cf5ba3ad57b4dcaf51ec8dbe 596 misc optional dialog_0.9b-20040606-1.dsc
 863ad484f4aca891f5d161d6949dfd1c 278457 misc optional dialog_0.9b-20040606.orig.tar.gz
 da2829d8c678108b809ad1c5d5466361 7377 misc optional dialog_0.9b-20040606-1.diff.gz
 887faeca22d5cf9efcb419078f88a956 172602 misc optional dialog_0.9b-20040606-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAxKm1d9Uuvj7yPNYRAtbRAJ9GSstcHXmEMg9Mm4J97I1gXs1zbwCdEn+0
+aYXfCRj3vg8WnEf/EXEIlg=
=Z+YV
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:25:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.